From b9e260840d03e33ac55142719f3d54129b54cc70 Mon Sep 17 00:00:00 2001
From: Debarshi Ray <debarshir@gnome.org>
Date: Mon, 26 Jan 2015 15:38:24 +0100
Subject: [PATCH] Port to vte-2.91 API

https://bugzilla.gnome.org/show_bug.cgi?id=743537
---
 configure.ac                   |  2 +-
 plugins/giggle-view-terminal.c | 19 ++++++++++---------
 2 files changed, 11 insertions(+), 10 deletions(-)

diff --git a/configure.ac b/configure.ac
index 6e27733..72e7bd1 100644
--- a/configure.ac
+++ b/configure.ac
@@ -106,7 +106,7 @@ AC_ARG_ENABLE([terminal],
 AS_IF([test "x$enable_terminal" = "xyes"],
       [
         PKG_CHECK_MODULES([VTE],
-                          [vte-2.90 >= $VTE_REQUIRED_VERSION],
+                          [vte-2.91 >= $VTE_REQUIRED_VERSION],
                           [have_vte=yes
                            AC_DEFINE([HAVE_VTE], [1],
                                      [Use features from vte])
diff --git a/plugins/giggle-view-terminal.c b/plugins/giggle-view-terminal.c
index 06a9a50..cd107f2 100644
--- a/plugins/giggle-view-terminal.c
+++ b/plugins/giggle-view-terminal.c
@@ -186,15 +186,16 @@ giggle_view_terminal_append_tab (GiggleViewTerminal *view,
 	real_argv[1] = NULL;
 	spawn_flags = G_SPAWN_CHILD_INHERITS_STDIN | G_SPAWN_SEARCH_PATH | G_SPAWN_FILE_AND_ARGV_ZERO;
 
-	succes = vte_terminal_fork_command_full (VTE_TERMINAL (terminal),
-	                                         pty_flags,
-	                                         directory,
-	                                         real_argv,
-	                                         NULL,
-	                                         spawn_flags,
-	                                         NULL, NULL,
-	                                         NULL,
-	                                         &error);
+	succes = vte_terminal_spawn_sync (VTE_TERMINAL (terminal),
+	                                  pty_flags,
+	                                  directory,
+	                                  real_argv,
+	                                  NULL,
+	                                  spawn_flags,
+	                                  NULL, NULL,
+	                                  NULL,
+	                                  NULL,
+	                                  &error);
 	g_strfreev (real_argv);
 
 	if (succes == FALSE) {
-- 
2.1.0

